/* Strings associated with the action/steps */

"textsoap.applycleaner" = "Apply Cleaner";
"textsoap.applycleaner.alt" = "Apply Cleaner: %@";
"textsoap.applycleaner.description" = "Applies the selected cleaner to the provided text.";

"textsoap.applycleaner.static" = "Apply Existing Cleaner";
"textsoap.applycleaner.static.alt" = "Apply: %@";
"textsoap.applycleaner.static.description" = "Applies the selected cleaner to the provided text.";

"textsoap.run.javascript" = "Run Javascript";
"textsoap.run.javascript.description" = "Applies the provided Javascript on the provided text.";

"textsoap.find" = "Find and Replace Text";
"textsoap.find.alt" = "Regex Find and Replace Text";
"textsoap.find.description" = "Finds and replaces specified text.";

"textsoap.find.regex" = "Regex Find and Replace Text";
"textsoap.find.regex.description" = "Finds and replaces specified text using regular expressions.";

"textsoap.find.multiple" = "Bulk Find and Replace Text";
"textsoap.find.multiple.description" = "Finds and replaces specified text using provided table of search and replace values.";

"textsoap.find.multiple.assignlinks" = "Find Text and Associate URL";
"textsoap.find.multiple.assignlinks.description" = "Finds specified text and associates the specified URL to that text.";

"textsoap.find.multiple.template" = "Find and Replace using Template";
"textsoap.find.multiple.template.description" = "Finds given \"items\" and replaces them with specified text replacement template using values provided.";

"textsoap.find.repeating" = "Find Repeating Character";
"textsoap.find.repeating.description" = "Finds repeated occurences of a character and replaces them.";

"textsoap.text.wrap" = "Custom Text Wrap";
"textsoap.text.wrap.description" = "Rewraps specified text using the indicated maximum line length.";

"textsoap.text.quote" = "Quote Text";
"textsoap.text.quote.description" = "Rewraps text using the selected maximum line length, placing quote characters as appropriate.";

"textsoap.text.insert" = "Insert Text";
"textsoap.text.insert.description" = "Inserts specified text.";

"textsoap.text.tag" = "Tag Text";
"textsoap.text.tag.description" = "Wraps the selected text in a prefix and suffix of text. Useful for tagging HTML or XML text.";

"textsoap.text.delete" = "Delete Text";
"textsoap.text.delete.description" = "Deletes the provided text. Use with a conditional statement to remove matched text.";

"textsoap.line.prefix.add" = "Add Prefix to Lines";
"textsoap.line.prefix.add.description" = "Add specified text to the beginning of each line.";

"textsoap.line.prefix.remove" = "Remove Prefix from Lines";
"textsoap.line.prefix.remove.description" = "Remove specified text from the beginning of each line.";

"textsoap.line.suffix.add" = "Add Suffix to Lines";
"textsoap.line.suffix.add.description" = "Append specified text to the end of each line.";

"textsoap.line.suffix.remove" = "Remove Suffix from Lines";
"textsoap.line.suffix.remove.description" = "Strip specified text from the end of each line.";

"textsoap.text.extract" = "Extract Text";
"textsoap.text.extract.description" = "Extracts specified text based on a regular expression.";

/* Helper Actions, use this in conjunction with "Find a Style" or "Apply Cleaner to Found Text" */
"textsoap.style.text.font" = "Set Font";
"textsoap.style.text.font.description" = "Applies font family, face, size attributes to the text.";

"textsoap.style.text.exactfont" = "Set Exact Font";
"textsoap.style.text.exactfont.description" = "Applies font, size to the text.";

"textsoap.style.text.adjustsize" = "Adjust Font Size";
"textsoap.style.text.adjustsize.description" = "Provides relative adjustments to the font size of the text.";

"textsoap.style.text.color" = "Set Text Color";
"textsoap.style.text.color.description" = "Set text color of the text.";

"textsoap.style.text.underline" = "Set Underline Attributes";
"textsoap.style.text.underline.description" = "Set underline options of the text.";

"textsoap.style.text.strikethru" = "Set Strikethrough Attributes";
"textsoap.style.text.strikethru.description" = "Set strikethrough options of the text.";

"textsoap.style.text.superscript" = "Set Super/Subscript Attribute";
"textsoap.style.text.superscript.description" = "Set text as superscript, subscript, or no script.";

"textsoap.style.backcolor" = "Set Background Color";
"textsoap.style.backcolor.description" = "Set background color of the text.";

"textsoap.style.attribute.remove" = "Remove a Character Attribute";
"textsoap.style.attribute.remove.description" = "Finds and removes the specified character attribute from the text.";

"textsoap.run.workflow" = "Run Automator Workflow";
"textsoap.run.workflow.description" = "This action runs an Automator Workflow (located in the ~/Library/Application Support/TextSoap/Workflows folder).";

"textsoap.text.titlecase" = "Title Case with Options";
"textsoap.text.titlecase.description" = "This action capitalizes words but allows specifying small words that are always lowercase and special-case words that won't be tweaked.";

"textsoap.run.gosub" = "Call Subroutine";
"textsoap.run.gosub.alt" = "Call Subroutine: %@";
"textsoap.run.gosub.description" = "Applies the selected sub-cleaner to the text.";

"textsoap.text.leftchars" = "Extract Beginning Characters";
"textsoap.text.leftchars.description" = "Extracts the specified number of characters from the beginning of the text.";

"textsoap.text.rightchars" = "Extract End Characters";
"textsoap.text.rightchars.description" = "Extracts the specified number of characters from the end of the text.";

"textsoap.text.midchars" = "Extract Middle Characters";
"textsoap.text.midchars.description" = "Extracts the specified number of characters from the middle of the text.";

"textsoap.text.hyperlinks2text" = "Hyperlinks To Text";
"textsoap.text.hyperlinks2text.description" = "Converts rich text hyperlinks to text.";

"textsoap.if.match.text" = "If Text Matches";
"textsoap.if.match.text.alt" = "If Text Matches";
"textsoap.if.match.text.description" = "Finds the provided text and then applies related actions to it.";

"textsoap.if.match.font" = "If Font Matches";
"textsoap.if.match.font.description" = "Finds text that matches specific font, size, color attributes and then applies related actions to it.";

"textsoap.if.match.attribute" = "If Text Has Attribute";
"textsoap.if.match.attribute.description" = "Finds text that matches the specified attribute and then applies related actions to it.";

"textsoap.if.match.text.line" = "For Each Line (shortcut)";
"textsoap.if.match.text.line.alt" = "For Each Line";
"textsoap.if.match.text.line.description" = "Perform specified actions to each non-empty line found.";

"textsoap.if.end" = "End Conditional";
"textsoap.if.end.description" = "Marks the end of a conditional block.";

"textsoap.modify.results.invert" = "Modify Results: Invert Matches";
"textsoap.modify.results.invert.description" = "Inverts the selected text of the this condition.";

"textsoap.modify.results.limit" = "Modify Results: Limit Matches";
"textsoap.modify.results.limit.description" = "Set the maximum matches for this condition.";

"textsoap.modify.results.skip" = "Modify Results: Skip Matches";
"textsoap.modify.results.skip.description" = "Ignore the specified matches for this condition.";

"textsoap.line.sort" = "Sort Lines";
"textsoap.line.sort.description" = "Sorts the selected lines in either ascending or descending order.";

"textsoap.loop.lines" = "Loop through Lines";
"textsoap.loop.lines.description" = "Loop through each line, allowing each specified line to be processed separately";
